libkblog4_4.14.10-11_amd64.deb


Advertisement

Description

libkblog4 - client-side support library for web application remote blogging APIs

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename libkblog4_4.14.10-11_amd64.deb
Package name libkblog4
Package version 4.14.10
Package release 11
Package architecture amd64
Package type deb
Category libs role::shared-lib
Homepage http://pim.kde.org/
License -
Maintainer Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Download size 109.98 KB
Installed size 378.00 KB

Alternatives

Package Version Architecture Repository
libkblog4_4.14.10-11_i386.deb 4.14.10 i386 Debian Main
libkblog4 - - -

Requires

Name Value
libc6 >= 2.14
libkcal4 = 4:4.14.10-11
libkdecore5 >= 4:4.14.2
libkio5 >= 4:4.14.2
libkxmlrpcclient4 = 4:4.14.10-11
libqtcore4 >= 4:4.8
libstdc++6 >= 5
libsyndication4 = 4:4.14.10-11

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libkblog4_4.14.10-11_amd64.deb
Source Package kdepimlibs

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libkblog4 deb package:
    # sudo apt-get install libkblog4

Files

Path
/usr/lib/libkblog.so.4
/usr/lib/libkblog.so.4.14.38
/usr/share/doc/libkblog4/changelog.Debian.gz
/usr/share/doc/libkblog4/copyright

Changelog

2019-04-01 - Sandro Knauß <hefee@debian.org>
kdepimlibs (4:4.14.10-11) unstable; urgency=medium
* Team upload.
[ Giovanni Mascellani ]
* Select Qt version 4.
* Port to libical3 (Closes: #905697).
[ Sandro Knauß ]
* Update description for kdepimlibs-dev to list all binaries (Closes: #779079)
* Update symbols file.
2018-07-13 - Pino Toscano <pino@debian.org>
kdepimlibs (4:4.14.10-10) unstable; urgency=medium
* Team upload.
* Switch Vcs-* fields to salsa.debian.org.
* Update the build dependencies:
- remove dpkg-dev, as its version is satisfied in oldoldstable already
- remove libsoprano-dev, unused
* Update lintian overrides.
* Drop the ship_akonaditest, and ship_knut patches, which were not applied.
* Remove unused *.acc files.
* Bump Standards-Version to 4.1.5, no changes required.
* Remove the watch file, since there will not be further upstream releases
of this old source.
2017-12-22 - Pino Toscano <pino@debian.org>
kdepimlibs (4:4.14.10-9) unstable; urgency=medium
* Team upload.
* Remove Fathi Boudra from Uploaders, as requested by the MIA team.
(Closes: #879328)
* Update symbols files from logs of buildds.
* Stop injecting via symbols files kdepim-runtime as dependency, since it is
for the KF5 version of Akonadi, and thus it is not useful for the Qt4
version
- update the lintian overrides according to this
* Remove kdepimlibs-dbg in favour of the -dbgsym packages.
* Drop all the pre-Jessie replaces/breaks.
* Remove the libprison-dev build dependency, since it is optional, and it
will be removed soon.
* Update lintian overrides.
* Stop excluding kdebase-runtime from shlibdeps, as it was renamed to
kde-runtime (already excluded) long ago.
* Stop disabling dqk_link_with_as_needed on ia64.
2017-12-12 - Pino Toscano <pino@debian.org>
kdepimlibs (4:4.14.10-8) unstable; urgency=medium
* Team upload.
* Switch the libical-dev build dependency to libical2-dev: kcal and kcalcore
do not support libical3 (and most probably these versions never will),
so use libical2 for now. (Closes: #884201)
* Bump Standards-Version to 4.1.2, no changes required.
2016-10-14 - Sandro Knauß <hefee@debian.org>
kdepimlibs (4:4.14.10-7) unstable; urgency=high
* Additional patch to complete the fix for CVE-2016-7966
- Replace all scary charactars (", <, > and &) with safe HTML
replacements.
- Backport commit kcoreaddons 5e13d2439dbf540fdc840f0b0ab5b3ebf6642c6a
in debian/patches/CVE-2016-7966_part2.diff
2016-10-12 - Scott Kitterman <scott@kitterman.com>
kdepimlibs (4:4.14.10-6) unstable; urgency=high
* Team upload.
* CVE-2016-7966 KMail: HTML injection in plain text viewer (Closes: #840546)
- Avoid transforming as a url in plain text mode when there is a quote
- Add debian/patches/CVE-2016-7966.diff from upstream
2016-07-17 - Maximiliano Curia <maxy@debian.org>
kdepimlibs (4:4.14.10-5) unstable; urgency=medium
* Update symbols files for gcc-6 compatibility.
Thanks to Martin Michlmayr for the report (Closes: 811983)
2016-06-28 - Maximiliano Curia <maxy@debian.org>
kdepimlibs (4:4.14.10-4) unstable; urgency=medium
* Allow coinstallation with kf5-kdepimlibs
* Disable autopkgtests
* Add Conflicts against libkf5akonadi-dev and libkf5akonadi-dev-bin
2016-06-18 - Pino Toscano <pino@debian.org>
kdepimlibs (4:4.14.10-3) unstable; urgency=medium
* Team upload.
* Set the cmake minimum version required and policies, and build properly
with that; cmake-policy.diff.
2016-06-07 - Pino Toscano <pino@debian.org>
kdepimlibs (4:4.14.10-2) unstable; urgency=medium
* Team upload.
* Remove the kdelibs5-dbg and libc6-dbg dependencies from
kdepimlibs-dbg (the former is replaced by -dbgsym packages).
* Bump Standards-Version to 3.9.8, no changes required.
* Update Vcs-* fields.
* Remove extra XS-Testsuite field.
* Update lintian overrides.
* Fix typos in description of libgpgme++2v5. (Closes: #756865)
* Remove obsolete installgen file.

See Also

Package Description
libkcal4_4.14.10-11_amd64.deb library for handling calendar data
libkcalcore4_4.14.10-11_amd64.deb library for handling calendar data
libkcalutils4_4.14.10-11_amd64.deb library with utility functions for the handling of calendar data
libkcapi-dev_1.1.3-1_amd64.deb Development files for Linux Kernel Crypto API
libkcapi-doc_1.1.3-1_all.deb Documentation for Linux Kernel Crypto API
libkcapi1_1.1.3-1_amd64.deb Linux Kernel Crypto API User Space Interface Library
libkchart-dev_2.6.1-1_amd64.deb library for creating business charts (development files)
libkchart2-l10n_2.6.1-1_all.deb library for creating business charts (translation)
libkchart2_2.6.1-1_amd64.deb library for creating business charts (shared library)
libkcmutils4_4.14.38-3_amd64.deb utility classes for using KCM modules
libkdb-data_3.1.0-5_all.deb data files for KDb
libkdb3-4_3.1.0-5+b2_amd64.deb database connectivity and creation framework -- shared library
libkdb3-dev_3.1.0-5+b2_amd64.deb development files for KDb
libkdb3-driver-mysql_3.1.0-5+b2_amd64.deb MySQL driver for KDb
libkdb3-driver-postgresql_3.1.0-5+b2_amd64.deb PostgreSQL driver for KDb
Advertisement
Advertisement